<template>
  <div class="loader"></div>
</template>

<script>
export default {
  name: 'Loading',
};
</script>

<style scoped lang="scss">
.loader {
  border: 10px solid $custom_blue;
  border-radius: 10%;
  border-top: 10px solid $custom_green;
  border-right: 10px solid $custom_red;
  border-bottom: 10px solid $custom_blue;
  border-left: 10px solid #D2DDF1;

  width: 40px;
  height: 40px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
</style>
